API Explorer 1.0
Post/api/Catalogs/{catalogId}/QueryEventDataAttributesByFilters
API Explorer 1.0 > All Operations Resource Group : /api/Catalogs/{catalogId}/QueryEventDataAttributesByFilters (Post)
Description
This call enables you to filter events by criteria and query data attributes for each event.
Parameters
NameDescriptionData Type
Represents the unique indentifier for the cataloginteger (int32)
Indicates the current API versionstring
Request (application/json-patch+json)

(Required) Request body with a list of filter sets.

The request body now includes properties for filtering, sorting and viewing the event attributes against catalog models. The following table describes each property:

Properties Description

FilteringExpressionArgs

Contains a set of arguments for filtering the target data set

Properties include:

  • FieldName = Represents the target data set's model or peril attribute
  • FilteringExpressions = Represents the binding filter node expressions for filtering the data set                    
FilteringExpressions

Represents a combination of filter expressions used for filtering the target data set

Properties include:

  • LogicalOperator = Indicates the available operators: ‘And’ and ‘Or’  for connecting two or more filtering expressions (expressed by FilteringNodes).
  • FilteringNodes = A collection of value-operands for filtering the event data attributes

FilteringNodes

 

Represents the combination of filter expressions used for filtering the data set

Properties include:

  • FilterValue = Indicates the value to filter the target defined in the request                         
  • FilterOperand = Indicates the operand to filter on the target data set defined in your request

SortModel

Represents the sorting technique of the data set based on the model or peril attribute(s)

Properties include:

  • Sortingdirection = Indicates the sort direction: ascending (asc) or descending (desc) order
  • SortingFieldNames = Contains the model or peril attributes that you want to sort

PageNumber

Identifies the data set on a page

PageSize

Indicates the number of records that can fit in each page

   

Sample Data

QueryEventDataAttributesByFilters JSON 
{
    "FilteringExpressionArgs":
        [
            {
                "fieldName": "event_id",
                "filteringExpressions":[{"logicalOperator":"Or",
                "filteringNodes":[{"filterValue":1000,"filterOperand":"lessThan"}, {"filterValue":21,"filterOperand":"equals"}]}
                                    ]                  
            },
            {
                "fieldName": "velocity",
                "filteringExpressions":[{"logicalOperator":"Or","filteringNodes":[{"filterValue":110,"filterOperand":"lessThan"}]}]
            }
        ],
    "SortModel" : {
        "SortingDirection":"desc",
        "SortingFieldNames": ["event_id"]
    },
    "PageNumber": 2,
    "PageSize": 50,
    "FilterSets": [
        {
            "applyAttributeFilterAtLandfall": false,
            "centralPressure": {
                "min": 887.90,
                "max": 987.91
            }
        }
    ]
}
Request (application/json)

(Required) Request body with a list of filter sets.
Request (text/json)

(Required) Request body with a list of filter sets.
Request (application/*+json)

(Required) Request body with a list of filter sets.
200 Response

The response body is of type Array[LandfallAttributesResult].

Success

Overview

Array[LandfallAttributesResult]
LandfallAttributesResult
Represents result type for landfall attribute
industryLoss : number (double)
catalogType : string
rowNum : integer (int64)
Specifies the row identifer
totalRows : integer (int64)
Indicates the total number of rows of landfall events
totalEvents : integer (int64)
Indicates the total number of events
eventId : integer (int64)
Unique identifier of an event
year : integer (int64)
Specifies the year in the catalog when the event occurred
numberOfLandfalls : integer (int64)
Specifies the number of landfalls
landfallIndex : integer (int64)
Indicates the point at which a location experiences stongest winds at the landfall
longitude : number (double)
Indicates the longitude at which the center of the eye crosses the coastline
latitude : number (double)
Specifies the latitude at which the center of the eye crosses the coastline
centralPressure : number (double)
Specifies the central pressure attribute
radius : number (double)
The radius of maximum winds, Rmax is the radial distance from the storm's center, or eye, to the radius where the highest cyclonic wind speeds occur.
forwardSpeed : number (double)
Specifies the forward speed or translational speed is the rate at which a hurricane moves from point to point along its track
angle : number (double)
Specifies the angle attribute. The measure of storm track angle measured clockwise (+) or counter-clockwise, where zero represents due north.
velocity : number (double)
Specifies the velocity attribute
tideHeight : number (double)
Specifies the tide height attribute
Fault Responses
FaultDescription
This fault returns a response body of type ProblemDetails.
Bad Request
This fault returns a response body of type ProblemDetails.
Unauthorized
See Also
All Operations Resource GroupAPI Explorer 1.0